SocketImpl
Date: 2016-06-24

java.net

## Class SocketImpl

- java.lang.Object
- - java.net.SocketImpl

- All Implemented Interfaces:
    SocketOptions

      public abstract class SocketImpl
      extends Object
      implements SocketOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InetAddress` | `address`
    `protected FileDescriptor` | `fd`
    `protected int` | `localport`
    `protected int` | `port`

    - ### Fields inherited from interface java.net.SocketOptions

      `IP_MULTICAST_IF, IP_MULTICAST_IF2, IP_MULTICAST_LOOP, IP_TOS, SO_BINDADDR, SO_BROADCAST, SO_KEEPALIVE, SO_LINGER, SO_OOBINLINE, SO_RCVBUF, SO_REUSEADDR, SO_SNDBUF, SO_TIMEOUT, TCP_NODELAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `accept(SocketImpl var0)`
    `protected abstract int` | `available()`
    `protected abstract void` | `bind(InetAddress var0, int var1)`
    `protected abstract void` | `close()`
    `protected abstract void` | `connect(InetAddress var0, int var1)`
    `protected abstract void` | `connect(SocketAddress var0, int var1)`
    `protected abstract void` | `connect(String var0, int var1)`
    `protected abstract void` | `create(boolean var0)`
    `protected FileDescriptor` | `getFileDescriptor()`
    `protected InetAddress` | `getInetAddress()`
    `protected abstract InputStream` | `getInputStream()`
    `protected int` | `getLocalPort()`
    `protected abstract OutputStream` | `getOutputStream()`
    `protected int` | `getPort()`
    `protected abstract void` | `listen(int var0)`
    `protected abstract void` | `sendUrgentData(int var0)`
    `protected void` | `shutdownInput()`
    `protected void` | `shutdownOutput()`
    `protected boolean` | `supportsUrgentData()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.net.SocketOptions

      `getOption, setOption`

- - ### Field Detail

    - #### address

          protected InetAddress address

    - #### fd

          protected FileDescriptor fd

    - #### localport

          protected int localport

    - #### port

          protected int port

  - ### Constructor Detail

    - #### SocketImpl

          public SocketImpl()

  - ### Method Detail

    - #### accept

          protected abstract void accept(SocketImpl var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### available

          protected abstract int available()
                                    throws IOException

      Throws:
        `IOException`

    - #### bind

          protected abstract void bind(InetAddress var0,
                  int var1)
                                throws IOException

      Throws:
        `IOException`

    - #### close

          protected abstract void close()
                                 throws IOException

      Throws:
        `IOException`

    - #### connect

          protected abstract void connect(String var0,
                     int var1)
                                   throws IOException

      Throws:
        `IOException`

    - #### connect

          protected abstract void connect(InetAddress var0,
                     int var1)
                                   throws IOException

      Throws:
        `IOException`

    - #### connect

          protected abstract void connect(SocketAddress var0,
                     int var1)
                                   throws IOException

      Throws:
        `IOException`

    - #### create

          protected abstract void create(boolean var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### getFileDescriptor

          protected FileDescriptor getFileDescriptor()

    - #### getInetAddress

          protected InetAddress getInetAddress()

    - #### getInputStream

          protected abstract InputStream getInputStream()
                                                 throws IOException

      Throws:
        `IOException`

    - #### getLocalPort

          protected int getLocalPort()

    - #### getOutputStream

          protected abstract OutputStream getOutputStream()
                                                   throws IOException

      Throws:
        `IOException`

    - #### getPort

          protected int getPort()

    - #### listen

          protected abstract void listen(int var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### sendUrgentData

          protected abstract void sendUrgentData(int var0)
                                          throws IOException

      Throws:
        `IOException`

    - #### shutdownInput

          protected void shutdownInput()
                                throws IOException

      Throws:
        `IOException`

    - #### shutdownOutput

          protected void shutdownOutput()
                                 throws IOException

      Throws:
        `IOException`

    - #### supportsUrgentData

          protected boolean supportsUrgentData()